#!/usr/bin/python
# -*- coding: utf-8 -*-

# This file is part of “LORZE erasandcad“

# “LORZE erasandcad“ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

# “LORZE erasandcad“ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

# You should have received a copy of the GNU General Public License along with LORZE erasandcad.  If not, see <http://www.gnu.org/licenses/>.

import wx, locale

# name for translations texts
_= wx.GetTranslation


class LorzeAbout():
    # aobut dialogue for lorze erasandcas

    def __init__(self, options):
        # lorze option
        self.__options= options

        # set texts and show infobox
        info= wx.AboutDialogInfo()

        info.SetIcon(wx.Icon('../Icons/LORZE_192.png', wx.BITMAP_TYPE_PNG))

        info.SetName(self.__options.GetFrameTitle())

        info.SetDescription(_(u'LORZE erasandcad, a 2D CAD with an intuitive user interface, simple and easy.'))

        info.SetCopyright(_(u'(C) 2012 Andreas Ulrich'))

        info.SetWebSite(_(u'http://erasand.jimdo.com/python-programme/lorze/'))

        t1= _(u'This program is free software: you can redistribute it and/or modify it under the')
        t2= _(u'terms of the GNU General Public License as published by the Free Software Foundation,')
        t3= _(u'either version 3 of the License, or (at your option) any later version.')

        t4= _(u'This program is distributed in the hope that it will be useful, but WITHOUT ANY')
        t5= _(u'WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A')
        t6= _(u'PARTICULAR PURPOSE. See the GNU General Public License for more details.')

        t7= _(u'You should have received a copy of the GNU General Public License along with')
        t8= _(u'this program.  If not, see <http://www.gnu.org/licenses/>.')
        info.SetLicence(t1+ '\n'+ t2+ '\n'+ t3+ '\n\n'+ t4+ '\n'+ t5+ '\n'+ t6+ '\n\n'+ t7+ '\n'+ t8)

        info.AddDeveloper(_(u'Andreas Ulrich'))

        info.AddDocWriter(_(u'Andreas Ulrich'))

        info.AddArtist(_(u'Tango project <http://tango.freedesktop.org> \nWikipedia <http://www.wikipedia.org> \nAndreas Ulrich'))

        info.AddTranslator(_(u'Andeas Ulrich'))

        wx.AboutBox(info)


class TestFrame(wx.Frame):
    # object for testing
    def __init__(self):
        wx.Frame.__init__(self, None, title= u'Test Dialog Load/ Save Object')

        self.__options= LorzeOptions()

        buttontest= wx.Button(self, label= u'About')
        buttonexit= wx.Button(self, label= u'Exit')
        buttontest.Bind(wx.EVT_BUTTON, self.OnTest)
        buttonexit.Bind(wx.EVT_BUTTON, self.OnExit)

        vbox= wx.BoxSizer(wx.VERTICAL)
        vbox.Add(buttontest)
        vbox.Add(buttonexit)

        self.SetSizer(vbox)
        self.Center()
        self.Show()


    def OnTest(self, event):
        LorzeAbout(self.__options)


    def OnExit(self, event):
        self.Close()


if __name__== '__main__':
    from lrzoptions import LorzeOptions

    app= wx.App()

    # internationalization of LorzeGUI
    wxloc= wx.Locale()
    wxloc.AddCatalogLookupPathPrefix('./in18')
    # get system language ('xx_XX', 'CHARSET')
    wxlang= locale.getdefaultlocale()
    wxlang= wxlang[0][:2]
    # get system language ('xx_XX', 'CHARSET') and select translation
    if locale.getdefaultlocale()[0][:2]== 'de':
        wxloc.AddCatalog('lorze_de')

    frame= TestFrame()
    app.MainLoop()
