#!/usr/bin/python
# -*- coding: utf-8 -*-

# This file is part of “LORZE erasandcad“

# “LORZE erasandcad“ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

# “LORZE erasandcad“ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

# You should have received a copy of the GNU General Public License along with LORZE erasandcad.  If not, see <http://www.gnu.org/licenses/>.

import os, pickle


class LorzeLoadSave():
    # load and save helper object for LORZE ersandcad

    def __init__(self):
        # data container
        self.__data= None

        # string: path
        self.__path= None

    def Load(self):
        # load data container
        try:
            f= open(self.__path, 'rb')

            # load object with pickle
            self.__data= pickle.load(f)
            f.close()

            # no error
            return(True)

        except:
            # error while loading
            return(False)


    def Save(self):
        # save data container
        try:
            f= open(self.__path, 'wb')

            # save object with pickle
            pickle.dump(self.__data, f)
            f.close()

            # no error
            return(True)
        except:

            # error while saving
            return(False)


    def SaveDevelop(self):
        # save method without try .. except:
        f= open(self.__path, 'wb')

        # save object with pickle
        pickle.dump(self.__data, f)

        f.close()


    def LoadDevelop(self):
        # load method without try .. except:
        f= open(self.__path, 'rb')

        # load object with pickle
        self.__data= pickle.load(f)

        f.close()


    def SetData(self, data):
        # set datas
        self.__data= data


    def GetData(self):
        # get datas
        return(self.__data)


    def SetPath(self, path):
        # set path
        self.__path= path


    def GetPath(self):
        # get path (string)
        return(self.__path)


if __name__== '__main__':
    print(u'TESTCOE LorzeLoadSave')
    ls= LorzeLoadSave()

    ls.SetData('Test')
    print(u'SetData: Test / GetData: '+ ls.GetData())

    ls.SetPath('testLoadSave.pickle')
    print(u'SetPath: lrzcfg / GetPath: '+ ls.GetPath())

    print(u'SetData: anotherTest / SaveDevelop ..')
    ls.SetData('anotherTest')
    ls.SaveDevelop()

    ls.SetData('nothing')
    print(u'SetData: nothing / GetData: '+ ls.GetData())

    ls.LoadDevelop()
    print(u'LoadDevelop & GetData: '+ ls.GetData())

    ls.SetData('endTest')
    saveflag= ls.Save()
    print(u'SetData: endTest / Save / saveflag: '+ str(saveflag))

    ls.SetData('nothingagain')
    print(u'SetData: nothingagain / GetData: '+ ls.GetData())

    loadflag= ls.Load()
    print(u'Load / GetData: '+ ls.GetData()+ u' / loadflag: '+ str(loadflag))

